summaryrefslogtreecommitdiff
path: root/install_dependencies.sh
diff options
context:
space:
mode:
authorPaul Sherwood <paul.sherwood@codethink.co.uk>2016-04-06 00:38:40 +0100
committerPaul Sherwood <paul.sherwood@codethink.co.uk>2016-04-06 00:59:36 +0100
commit58bdc99ebe658a15fbeccb5902bd3e4cd0ac5537 (patch)
tree52945b11777404c9654d98764f6b8b6c73e3f942 /install_dependencies.sh
parentfbaa883b9400fb4ca3eb2a3d0b9d39f9896dbcb2 (diff)
downloadybd-58bdc99ebe658a15fbeccb5902bd3e4cd0ac5537.tar.gz
Rename install.sh => install_dependencies.sh
Diffstat (limited to 'install_dependencies.sh')
-rwxr-xr-xinstall_dependencies.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/install_dependencies.sh b/install_dependencies.sh
new file mode 100755
index 0000000..9924d3d
--- /dev/null
+++ b/install_dependencies.sh
@@ -0,0 +1,46 @@
+# Copyright (C) 2016 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-2 =*=
+
+#
+# This is a bash script which attempts install ybd's dependencies
+# it's mainly intended for ci and automated test setups...
+#
+
+# install dependencies for debian, ubuntu
+which apt-get 2>&1 > /dev/null
+if [ $? -eq 0 ]; then
+ sudo apt-get -qq update
+ sudo apt-get -qq install build-essential gawk git m4 wget
+fi
+
+# install for fedora
+which dnf 2>&1 > /dev/null
+if [ $? -eq 0 ]; then
+ sudo dnf install -y which make automake gcc gcc-c++ gawk git m4 wget
+fi
+
+# FIXME: check the above installs worked?
+
+pip --version 2>&1 > /dev/null
+if [ $? -ne 0 ]; then
+ wget https://bootstrap.pypa.io/get-pip.py
+ sudo python get-pip.py
+ sudo rm get-pip.py
+fi
+
+sudo pip install fs pyyaml sandboxlib requests
+sudo pip install jsonschema bottle cherrypy riemann-client
+sudo pip install pep8